Bug 202773 - CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
Summary: CVE-2006-4144 ImageMagick ReadSGIImage() integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Norm Murray
QA Contact: Mike McLean
URL:
Whiteboard: source=fulldisclosure,impact=moderate...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-16 13:24 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: ImageMagick-6.2.5.4-4.2.1.fc5.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 05:09:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-08-16 13:24:46 UTC
+++ This bug was initially created as a clone of Bug #202771 +++

An integer overflow bug was posted to full-disclosure describing an integer
overflow bug in the way ImageMagick parses SGI image files.

http://www.securityfocus.com/archive/1/archive/1/443208/100/0/threaded

-- Additional comment from bressers@redhat.com on 2006-08-16 09:17 EST --
Created an attachment (id=134304)
Demo Image from the reporter


-- Additional comment from bressers@redhat.com on 2006-08-16 09:18 EST --
The patch for this issue can be extraced from subversion:
svn diff -r 3812:3813 https://subversion.imagemagick.org/subversion/

Comment 1 Norm Murray 2006-09-28 05:09:46 UTC
This was fixed in ImageMagick-6.2.5.4-4.2.1.fc5.4



Note You need to log in before you can comment on or make changes to this bug.